[CentOS] Apache2で複数バージョンの PHPを利用する(2)

  • このエントリーをはてなブックマークに追加
  • Pocket

attention この記事は2年以上前の投稿になります。
記載された情報が古くなっている可能性がございますので十分ご注意ください。

次に利用したいPHPを準備します
※1つのApacheで複数バージョンのPHPを動作させるために、PHPはCGI版でインストールする必要があります

今回インストールするのは以下の3つのバージョン

  • 4.4.9(4系最終バージョン)
  • 5.2.12
  • 5.3.1
  • ソースからコンパイルしてインストールします。
    本家サイト(PHP.NET)

    1) # yum -y install wget
    ※ダウンロードするのに便利だからインストールしちゃう

    2) PHPのソースファイル準備

    # mkdir /usr/local/src
    # wget http://www.php.net/get/php-5.3.1.tar.gz/from/a/mirror
    ・・・・・

    ※本家サイトよりURLをコピペ
    上記のように3バージョン分ダウンロードする

    3) ダウンロードしたファイルを展開

    # tar zxvf php-5.3.1.tar.gz
    ・・・・・


    これでインストールの準備は完了です

    WordPress対応 PHPファイル 難読化ツール

    ご訪問ありがとうございます。
    参考になりましたら『いいね!』もお願いします。

    ITの活用情報を毎週お届けする無料メルマガに是非ご登録ください。

    閉じる

    ご意見・ご感想をお待ちしております。

    いただいた情報は一般公開されません。(入力いただいたメールアドレスにてご返信させていただきます)
    また、* が付いている欄は必須項目となりますので、必ずご記入をお願いします。

    内容に問題なければ、下記の「コメントを送信する」ボタンを押してください。